function [ derivative ] = derivh(alpha, tau, ctoo)
% This function gives a vector for the derivative of hour worked 
% with respect to alpha, given the vectors of taxes, tau, and consumption
% to output ratios, ctoo. This is called from prescott.m

global theta

derivative = -100*(1-theta)./(( alpha*ctoo./(1-tau) + (1-theta) )).^2 ...
    .*( ctoo./(1-tau) ) ;

% Note that ./ divides one vector by another component by component.
% Also, note that the use of ... allows our executable statement to flow
% over two lines. 

end

