function [ zero ] = foc( alpha )
% This function specifies the first-order condition for the least-squares
% optimization problem.

global theta
global tau9396 ctoo9396 hdata9396 tau7074 ctoo7074 hdata7074

% Calculate the model's solution for hours worked for a given alpha
hmodel9396 = 100*(1-theta)./( alpha*ctoo9396./(1-tau9396) + (1-theta) );
hmodel7074 = 100*(1-theta)./( alpha*ctoo7074./(1-tau7074) + (1-theta) );

% Write out the first-order condition for the minimization problem
% involving the choice of alpha

zero = -(hdata9396 - hmodel9396).*derivh(alpha,tau9396,ctoo9396) ...
       - (hdata7074 - hmodel7074).*derivh(alpha,tau7074,ctoo7074);
   
% Note that .* multiplies one vector by another component by component.
% Also, note that the use of ... allows our executable statement to flow
% over two lines. 

zero = 2*sum(zero); 

% sum is a MATLAB command that adds across the components of a vector

end

