function [ h ] = hours( tau, ctoo )
% This function computes hours worked using Prescott's formula
% It takes the vector of tax rates, tau, and the vector of 
% consumption/output ratios, ctoo, as
% inputs and gives a vector for hours, h, as the output. 
% Called from prescott.m

global alpha theta

h = 100*(1-theta)./( alpha*ctoo./(1-tau) + (1-theta) );

% Note that ./ divides one vector by another component by component.

end

