function [ ] = makefigures( num, hdata, hmodel, heading )
% This function make a graph plotting the data versus model for the 7
% countries. Num = the figure number. hdata is the datea vector of hours 
% worked for the countries. hmodel is the same thing for the model. 
% Heading is a character string giving the title for the graph. Note that 
% output for the function is empty, or [].
% Called from prescott.m

figure(num) 
plot(hdata,hmodel,'rd',hdata,hdata,'b-')

% The plot command asks MATLAB to plot hdata versus hmodel using a
% a red symbol. There is no line for the first plot. The second plot 
% shows hdata versus hdata, or the 45 degree line, using a blue 
% straight line.
title(heading, 'Fontsize', 17)
xlabel('data','Fontsize', 15)
ylabel('model', 'Fontsize', 15)
% The next lines are used to label the 7 points on the graph
x1 = hdata(1);   % Germany
y1 = hmodel(1);
txt1 = '  Ger'; 
text(x1,y1,txt1)
x2 = hdata(2);   % France
y2 = hmodel(2);
txt2 = '  Fra';
text(x2,y2,txt2)
x3 = hdata(3);   % Italy
y3 = hmodel(3);
txt3 = '  Ita';
text(x3,y3,txt3)
x4 = hdata(4);   % Canada 
y4 = hmodel(4);
txt4 = '  Can';
text(x4,y4,txt4) 
x5 = hdata(5);   % UK 
y5 = hmodel(5);
txt5 = '  UK';
text(x5,y5,txt5)
x6 = hdata(6);   % Japan 
y6 = hmodel(6);
txt6 = 'Jap   ';
text(x6,y6,txt6,'HorizontalAlignment','right')
x7 = hdata(7);   % USA
y7 = hmodel(7);
txt7 = '  USA';
text(x7,y7,txt7)


end

