function [ sos ] = sumofsquares( alpha )
% This function specifies the objective function for the least-squares
% optimization problem. It is used in prescott.m

global theta
global tau9396 ctoo9396 hdata9396 tau7074 ctoo7074 hdata7074

% Calculate the model's solution for hours worked for a given alpha
hmodel9396 = 100*(1-theta)./( alpha*ctoo9396./(1-tau9396) + (1-theta) );
hmodel7074 = 100*(1-theta)./( alpha*ctoo7074./(1-tau7074) + (1-theta) );

% Write out the sum of the squares for the minimization problem
% involving the choice of alpha

sos =   (hdata9396 - hmodel9396).^2 ...
      + (hdata7074 - hmodel7074).^2;
   
% Note that .* multiplies one vector by another component by component.
% Also, note that the use of ... allows our executable statement to flow
% over two lines. 

sos = sum(sos);                      % Sum  

% sum is a MATLAB command that adds across the components of a vector

end

